Bug 979351 - [abrt] pulseaudio-3.0-10.fc19: WebRtcAgc_Init: Process /usr/bin/pulseaudio was killed by signal 11 (SIGSEGV)
[abrt] pulseaudio-3.0-10.fc19: WebRtcAgc_Init: Process /usr/bin/pulseaudio wa...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
abrt_hash:fecbe05cf5896176a3c1391748f...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 05:49 EDT by Martin
Modified: 2015-02-17 10:43 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:43:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.87 KB, text/plain)
2013-06-28 05:49 EDT, Martin
no flags Details
File: cgroup (140 bytes, text/plain)
2013-06-28 05:49 EDT, Martin
no flags Details
File: core_backtrace (2.77 KB, text/plain)
2013-06-28 05:49 EDT, Martin
no flags Details
File: dso_list (4.36 KB, text/plain)
2013-06-28 05:49 EDT, Martin
no flags Details
File: environ (1.67 KB, text/plain)
2013-06-28 05:49 EDT, Martin
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-28 05:49 EDT, Martin
no flags Details
File: maps (42.78 KB, text/plain)
2013-06-28 05:49 EDT, Martin
no flags Details
File: open_fds (2.76 KB, text/plain)
2013-06-28 05:49 EDT, Martin
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2013-06-28 05:49 EDT, Martin
no flags Details
File: var_log_messages (30.25 KB, text/plain)
2013-06-28 05:49 EDT, Martin
no flags Details
Possible fix in webrtc-audio-processing (556 bytes, patch)
2013-07-03 23:56 EDT, Arun Raghavan
no flags Details | Diff

  None (edit)
Description Martin 2013-06-28 05:49:03 EDT
Description of problem:
Pulseaudio crashed after receiving audio call between 2 Telepathy clients. Reproducible in both incoming and outcoming calls. Reproducible with Empathy or KDE Telepathy (KTP) clients.

Version-Release number of selected component:
pulseaudio-3.0-10.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start --log-target=syslog
crash_function: WebRtcAgc_Init
executable:     /usr/bin/pulseaudio
kernel:         3.9.6-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WebRtcAgc_Init at analog_agc.c:1651
 #1 webrtc::ProcessingComponent::Initialize at processing_component.cc:87
 #2 webrtc::GainControlImpl::Initialize at gain_control_impl.cc:323
 #3 webrtc::ProcessingComponent::EnableComponent at processing_component.cc:43
 #4 webrtc::GainControlImpl::Enable at gain_control_impl.cc:230
 #5 pa_webrtc_ec_init at modules/echo-cancel/webrtc.cc:212
 #6 module_echo_cancel_LTX_pa__init at modules/echo-cancel/module-echo-cancel.c:1729
 #7 pa_module_load at pulsecore/module.c:109
 #8 process at modules/module-filter-apply.c:471
 #9 pa_hook_fire at pulsecore/hook-list.c:106
Comment 1 Martin 2013-06-28 05:49:08 EDT
Created attachment 766496 [details]
File: backtrace
Comment 2 Martin 2013-06-28 05:49:13 EDT
Created attachment 766497 [details]
File: cgroup
Comment 3 Martin 2013-06-28 05:49:17 EDT
Created attachment 766498 [details]
File: core_backtrace
Comment 4 Martin 2013-06-28 05:49:20 EDT
Created attachment 766499 [details]
File: dso_list
Comment 5 Martin 2013-06-28 05:49:23 EDT
Created attachment 766500 [details]
File: environ
Comment 6 Martin 2013-06-28 05:49:27 EDT
Created attachment 766501 [details]
File: limits
Comment 7 Martin 2013-06-28 05:49:31 EDT
Created attachment 766502 [details]
File: maps
Comment 8 Martin 2013-06-28 05:49:34 EDT
Created attachment 766503 [details]
File: open_fds
Comment 9 Martin 2013-06-28 05:49:37 EDT
Created attachment 766504 [details]
File: proc_pid_status
Comment 10 Martin 2013-06-28 05:49:41 EDT
Created attachment 766505 [details]
File: var_log_messages
Comment 11 Olivier Crête 2013-07-03 18:14:04 EDT
Doing a SIP call from Empathy

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start --log-target=syslog
crash_function: WebRtcAgc_Init
executable:     /usr/bin/pulseaudio
kernel:         3.9.5-301.fc19.x86_64
package:        pulseaudio-3.0-10.fc19
reason:         Process /usr/bin/pulseaudio was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            500
xsession_errors:
Comment 12 Arun Raghavan 2013-07-03 23:56:20 EDT
Created attachment 768583 [details]
Possible fix in webrtc-audio-processing

Could someone try this patch to webrtc-audio-processing out? I'm guessing Fedora's toolchain is less tolerant of treating a 2D array as a linear array than other distributions.
Comment 13 Olivier Crête 2013-07-04 14:59:43 EDT
The patch seems to fix it, thanks Arun ! Although there indeed seems to be a gcc bug.


As it transforms this into an infinite loop

    for (i = 0; i < 10; i++)
    {
        stt->env[0][i] = 0;
        stt->env[1][i] = 0;
    }
Comment 14 Olivier Crête 2013-07-04 15:09:17 EDT
Actually, just recompiling the source rpm fixes it.. So it seems to be a compiler bug in the version that was used in the Mass rebuild...
Comment 16 Arun Raghavan 2014-09-18 05:28:54 EDT
Does this still need to be open?
Comment 17 Fedora End Of Life 2015-01-09 13:33:54 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2015-02-17 10:43:37 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.